
import 'package:flutter/material.dart';
import 'package:mc_common_app/classes/consts.dart';
import 'package:mc_common_app/extensions/int_extensions.dart';
import 'package:mc_common_app/extensions/string_extensions.dart';
import 'package:mc_common_app/widgets/extensions/extensions_widget.dart';

class ServiceProviderWidget extends StatelessWidget {
  const ServiceProviderWidget({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      height: 140,
      child: ListView.builder(
        itemCount: 9,
        scrollDirection: Axis.horizontal,
        shrinkWrap: true,
        itemBuilder: (BuildContext context, int index) {
          return SizedBox(
            width: 90,
            child: Column(
              children: [
                Image.asset(
                  MyAssets.bnCar,
                  width: 80,
                  height: 80,
                  fit: BoxFit.cover,
                ).toCircle(borderRadius: 100),
                8.height,
                "Olaya Branch".toText(fontSize: 14, isBold: true, textAlign: TextAlign.center),
              ],
            ),
          );
        },
      ),
    );
  }
}
